MoreTextInternal::Topic Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
MoreTextInternal::Topic Struct Reference

Internal: the topic data of a MoreText. More...

## Public Types
enum | AttachementType { AOutline =0, AComment, ASpeakerNote }
| an enum used to define the different type of data attached to a topic More...

## Public Member Functions
| Topic ()
| constructor More...

## Public Attributes
MWAWEntry | m_entry
| the text entry More...
int | m_level
| the topic level More...
bool | m_isCloned
| true if the entry is cloned More...
int | m_cloneId
| if not 0, indicate that we must cloned the cloneId^th clone More...
bool | m_hasList [3]
| a list of boolean use to note if a topic is associated with a Outline, ... More...
int | m_attachList [3]
| a list of id to retrieve the attachment More...
int | m_numPageBreak
| the number of pages in the sub list More...
bool | m_isStartSlide
| true if we start a new slide More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Topic const &topic)
| operator<< More...

## Detailed Description

Internal: the topic data of a MoreText.

## Member Enumeration Documentation

enum MoreTextInternal::Topic::AttachementType

an enum used to define the different type of data attached to a topic

Enumerator
AOutline |
AComment |
ASpeakerNote |

## Constructor & Destructor Documentation

MoreTextInternal::Topic::Topic | ( |  | ) |
| inline

constructor

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Topic const & | topic
| ) |  |
| friend

operator<<

## Member Data Documentation

int MoreTextInternal::Topic::m_attachList[3]

a list of id to retrieve the attachment

Referenced by MoreText::checkTopicList(), MoreText::createZones(), MoreText::getHeaderFooter(), and MoreText::sendTopic().

int MoreTextInternal::Topic::m_cloneId

if not 0, indicate that we must cloned the cloneId^th clone

Referenced by MoreText::checkTopicList(), MoreText::createZones(), MoreText::readTopic(), and MoreText::sendTopic().

MWAWEntry MoreTextInternal::Topic::m_entry

the text entry

Referenced by MoreText::readTopic(), MoreText::sendMainText(), and MoreText::sendTopic().

std::string MoreTextInternal::Topic::m_extra

extra data

Referenced by MoreText::readTopic().

bool MoreTextInternal::Topic::m_hasList[3]

a list of boolean use to note if a topic is associated with a Outline, ...

Referenced by MoreText::createZones(), and MoreText::readTopic().

bool MoreTextInternal::Topic::m_isCloned

true if the entry is cloned

Referenced by MoreText::createZones(), and MoreText::readTopic().

bool MoreTextInternal::Topic::m_isStartSlide

true if we start a new slide

Referenced by MoreText::readTopic().

int MoreTextInternal::Topic::m_level

the topic level

Referenced by MoreText::readTopic(), and MoreText::sendTopic().

int MoreTextInternal::Topic::m_numPageBreak

the number of pages in the sub list

Referenced by MoreText::checkTopicList(), and MoreText::createZones().

The documentation for this struct was generated from the following file:

- MoreText.cxx